/**
 *
 */
package com.sap.jumpinurl.controllers.pages;

import de.hybris.platform.addonsupport.controllers.AbstractAddOnController;
import de.hybris.platform.commercefacades.order.CartFacade;
import de.hybris.platform.commerceservices.order.CommerceCartRestorationException;

import javax.annotation.Resource;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;


@Controller
@RequestMapping(value = "/jump-in")
public class JumpinUrlController extends AbstractAddOnController
{
	private static final String CART_GUID_PATH_VARIABLE_PATTERN = "/{cartGuid:.*}";

	@Resource
	private CartFacade cartFacade;

	@RequestMapping(value = "/cart/" + CART_GUID_PATH_VARIABLE_PATTERN, method = RequestMethod.GET)
	public String prepareCart(@PathVariable("cartGuid") final String cartGuid) throws CommerceCartRestorationException
	{
		cartFacade.restoreSavedCart(cartGuid);
		return REDIRECT_PREFIX + "/cart";
	}
}
